This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Backup Restore Histories

1 - 1.3

get /v1/backups/{backup_id}/restore-histories

Description

List Backup restore histories.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathbackup_id
required
Backup ID
Example : 00cd2538fbf94d12b36aabbdd607e974
stringNone
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : backup_start_time:desc
any of [string, null]created_at:desc
queryrestore_state
optional
Restore state
Example : COMPLETED
any of [enum (COMPLETED, FAILED, INPROGRESS, PARTIAL_SUCCESS), null]None
querystart_time
optional
Start time
Example : 2024-09-30T15:00:00Z
any of [string (date-time), null]None
queryend_time
optional
End time
Example : 2024-10-31T14:59:59Z
any of [string (date-time), null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupRestoreHistoryListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/backups/{backup_id}/restore-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.3"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_id": "00cd2538fbf94d12b36aabbdd607e974",
            "backup_start_time": "2024-10-28T05:38:48",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "restore_end_time": "2024-10-28T05:52:47",
            "restore_server_id": "26895cb7-2059-49e7-b6fe-9c9c4b0d3db0",
            "restore_server_name": "restoretest1",
            "restore_start_time": "2024-10-28T05:52:47",
            "restore_state": "COMPLETED",
            "schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
        }
    ],
    "count": 1
}

2 - 1.2

get /v1/backups/{backup_id}/restore-histories

Description

List Backup restore histories.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220261231

Parameters

TypeNameDescriptionSchemaDefault
pathbackup_id
required
Backup ID
Example : 00cd2538fbf94d12b36aabbdd607e974
stringNone
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : backup_start_time:desc
any of [string, null]created_at:desc
queryrestore_state
optional
Restore state
Example : COMPLETED
any of [enum (COMPLETED, FAILED, INPROGRESS, PARTIAL_SUCCESS), null]None
querystart_time
optional
Start time
Example : 2024-09-30T15:00:00Z
any of [string (date-time), null]None
queryend_time
optional
End time
Example : 2024-10-31T14:59:59Z
any of [string (date-time), null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupRestoreHistoryListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/backups/{backup_id}/restore-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_id": "00cd2538fbf94d12b36aabbdd607e974",
            "backup_start_time": "2024-10-28T05:38:48",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "restore_end_time": "2024-10-28T05:52:47",
            "restore_server_id": "26895cb7-2059-49e7-b6fe-9c9c4b0d3db0",
            "restore_server_name": "restoretest1",
            "restore_start_time": "2024-10-28T05:52:47",
            "restore_state": "COMPLETED",
            "schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
        }
    ],
    "count": 1
}

3 - 1.1

get /v1/backups/{backup_id}/restore-histories

Description

List Backup restore histories.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathbackup_id
required
Backup ID
Example : 00cd2538fbf94d12b36aabbdd607e974
stringNone
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : backup_start_time:desc
any of [string, null]created_at:desc
queryrestore_state
optional
Restore state
Example : COMPLETED
any of [enum (COMPLETED, FAILED, INPROGRESS, PARTIAL_SUCCESS), null]None
querystart_time
optional
Start time
Example : 2024-09-30T15:00:00Z
any of [string (date-time), null]None
queryend_time
optional
End time
Example : 2024-10-31T14:59:59Z
any of [string (date-time), null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupRestoreHistoryListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/backups/{backup_id}/restore-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_id": "00cd2538fbf94d12b36aabbdd607e974",
            "backup_start_time": "2024-10-28T05:38:48",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "restore_end_time": "2024-10-28T05:52:47",
            "restore_server_id": "26895cb7-2059-49e7-b6fe-9c9c4b0d3db0",
            "restore_server_name": "restoretest1",
            "restore_start_time": "2024-10-28T05:52:47",
            "restore_state": "COMPLETED",
            "schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
        }
    ],
    "count": 1
}

4 - 1.0

get /v1/backups/{backup_id}/restore-histories

Description

List Backup restore histories.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260331

Parameters

TypeNameDescriptionSchemaDefault
pathbackup_id
required
Backup ID
Example : 00cd2538fbf94d12b36aabbdd607e974
stringNone
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : backup_start_time:desc
any of [string, null]created_at:desc
queryrestore_state
optional
Restore state
Example : COMPLETED
any of [enum (COMPLETED, FAILED, INPROGRESS, PARTIAL_SUCCESS), null]None
querystart_time
optional
Start time
Example : 2024-09-30T15:00:00Z
any of [string (date-time), null]None
queryend_time
optional
End time
Example : 2024-10-31T14:59:59Z
any of [string (date-time), null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupRestoreHistoryListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/backups/{backup_id}/restore-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_id": "00cd2538fbf94d12b36aabbdd607e974",
            "backup_start_time": "2024-10-28T05:38:48",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "restore_end_time": "2024-10-28T05:52:47",
            "restore_server_id": "26895cb7-2059-49e7-b6fe-9c9c4b0d3db0",
            "restore_server_name": "restoretest1",
            "restore_start_time": "2024-10-28T05:52:47",
            "restore_state": "COMPLETED",
            "schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
        }
    ],
    "count": 1
}